--
-- Vehicle Info for FS19
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.0 - 2020-02-20 - first release
--
source(Utils.getFilename("vehicleInfo.lua", g_currentModDirectory))

VehicleInfo_register = {}

function VehicleInfo_register:loadMap()
end

if g_specializationManager:getSpecializationByName("VehicleInfo") == nil then
  if VehicleInfo == nil then 
    print("ERROR: unable to add specialization 'VehicleInfo'")
  else 
    for i, typeDef in pairs(g_vehicleTypeManager.vehicleTypes) do
		if typeDef ~= nil and i ~= "locomotive" and i ~= "trainTrailer" and i ~= "trainTimberTrailer" then 
			local isDrivable = false
			local isEnterable = false 
			local isMotorized = false 
			for name, spec in pairs(typeDef.specializationsByName) do
				if name == "drivable"  then
					isDrivable = true
				elseif name == "enterable" then
					isEnterable = true
				elseif name == "motorized" then
					isMotorized = true
				end 
			end 
			if isDrivable and isEnterable and isMotorized then
				typeDef.specializationsByName["VehicleInfo"] = VehicleInfo
				table.insert(typeDef.specializationNames, "VehicleInfo")
				table.insert(typeDef.specializations, VehicleInfo)  
			end 
		end 
    end   
  end 
end

print("----VehicleInfo registered.")

addModEventListener(VehicleInfo_register);